## function createGearJoint( jointA, jointB, g_ratio, collide_connect)

Creates a Gear Joint

A gear joint is used to connect two joints together. Either joint can be a revolute or prismatic joint. You specify a gear ratio to bind the motions together: coordinate1 + ratio * coordinate2 = constant The ratio can be negative or positive. If one joint is a revolute joint and the other joint is a prismatic joint, then the ratio will have units of length or units of 1/length.

Parameters

- spriteA - first body
- spriteB - second body
- ratio - ratio of how much influence jointA has compared to jointB